- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# openwrt_init – Manage services on OpenWrt

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Controls OpenWrt services on remote hosts.

## Requirements

The below requirements are needed on the host that executes this module.

- An OpenWrt system (with python)

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
enabled boolean | Choices: no yes | Whether the service should start on boot. At least one of state and enabled are required.
name - / required |  | Name of the service. aliases: service
pattern - |  | If the service does not respond to the 'running' command, name a substring to look for as would be found in the output of the ps command as a stand-in for a 'running' result. If the string is found, the service will be assumed to be running.
state - | Choices: started stopped restarted reloaded | `started`/`stopped` are idempotent actions that will not run commands unless necessary. `restarted` will always bounce the service. `reloaded` will always reload.

## Notes

Note

- One option other than name is required.

## Examples

    # Example action to start service httpd, if not running
    - openwrt_init:
        state: started
        name: httpd

    # Example action to stop service cron, if running
    - openwrt_init:
        name: cron
        state: stopped

    # Example action to reload service httpd, in all cases
    - openwrt_init:
        name: httpd
        state: reloaded

    # Example action to enable service httpd
    - openwrt_init:
        name: httpd
        enabled: yes

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Andrew Gaffney (@agaffney)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.